ON_Sphere Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_sphere.h>`

## Public Member Functions

| ON_Sphere ()
| ON_Sphere (const ON_3dPoint &center, double radius)
| ~ON_Sphere ()
bool | IsValid () const
bool | Create (const ON_3dPoint &center, double radius)
ON_Circle | LatitudeRadians (double latitude_radians) const
ON_Circle | LatitudeDegrees (double latitude_degrees) const
ON_Circle | LongitudeRadians (double longitude_radians) const
ON_Circle | LongitudeDegrees (double longitude_degrees) const
ON_3dPoint | Center () const
ON_3dPoint | NorthPole () const
ON_3dPoint | SouthPole () const
double | Diameter () const
double | Radius () const
ON_3dPoint | PointAt (double longitude_radians, double latitude_radians) const
ON_3dVector | NormalAt (double longitude_radians, double latitude_radians) const
ON_BoundingBox | BoundingBox () const
bool | ClosestPointTo (ON_3dPoint test_point, double *longitude_radians, double *latitude_radians) const
ON_3dPoint | ClosestPointTo (ON_3dPoint test_point) const
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation)
bool | Rotate (double angle_radians, const ON_3dVector &axis_of_rotation)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Rotate (double angle_radians, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Translate (const ON_3dVector &)
bool | Transform (const ON_Xform &)
int | GetNurbForm (ON_NurbsSurface &) const
ON_RevSurface * | RevSurfaceForm (bool bArcLengthParameterization, ON_RevSurface *srf=NULL) const
ON_DEPRECATED ON_RevSurface * | RevSurfaceForm (ON_RevSurface *srf=NULL) const

## Public Attributes

ON_Plane | plane
double | radius

## Detailed Description

Definition at line 22 of file opennurbs_sphere.h.

## Constructor & Destructor Documentation

## ON_Sphere() [1/2]

ON_Sphere::ON_Sphere | ( |  | ) |

## ON_Sphere() [2/2]

ON_Sphere::ON_Sphere | ( | const ON_3dPoint & | center,
|  | double | radius
| ) |  |

## ~ON_Sphere()

ON_Sphere::~ON_Sphere | ( |  | ) |

## Member Function Documentation

## BoundingBox()

ON_BoundingBox ON_Sphere::BoundingBox | ( |  | ) | const

## Center()

ON_3dPoint ON_Sphere::Center | ( |  | ) | const

## ClosestPointTo() [1/2]

bool ON_Sphere::ClosestPointTo | ( | ON_3dPoint | test_point,
|  | double * | longitude_radians,
|  | double * | latitude_radians
| ) |  | const

## ClosestPointTo() [2/2]

ON_3dPoint ON_Sphere::ClosestPointTo | ( | ON_3dPoint | test_point | ) | const

## Create()

bool ON_Sphere::Create | ( | const ON_3dPoint & | center,
|  | double | radius
| ) |  |

## Diameter()

double ON_Sphere::Diameter | ( |  | ) | const

## GetNurbForm()

int ON_Sphere::GetNurbForm | ( | ON_NurbsSurface & |  | ) | const

## IsValid()

bool ON_Sphere::IsValid | ( |  | ) | const

## LatitudeDegrees()

ON_Circle ON_Sphere::LatitudeDegrees | ( | double | latitude_degrees | ) | const

## LatitudeRadians()

ON_Circle ON_Sphere::LatitudeRadians | ( | double | latitude_radians | ) | const

## LongitudeDegrees()

ON_Circle ON_Sphere::LongitudeDegrees | ( | double | longitude_degrees | ) | const

## LongitudeRadians()

ON_Circle ON_Sphere::LongitudeRadians | ( | double | longitude_radians | ) | const

## NormalAt()

ON_3dVector ON_Sphere::NormalAt | ( | double | longitude_radians,
|  | double | latitude_radians
| ) |  | const

## NorthPole()

ON_3dPoint ON_Sphere::NorthPole | ( |  | ) | const

## PointAt()

ON_3dPoint ON_Sphere::PointAt | ( | double | longitude_radians,
|  | double | latitude_radians
| ) |  | const

## Radius()

double ON_Sphere::Radius | ( |  | ) | const

## RevSurfaceForm() [1/2]

ON_RevSurface* ON_Sphere::RevSurfaceForm | ( | bool | bArcLengthParameterization,
|  | ON_RevSurface * | srf = `NULL`
| ) |  | const

## RevSurfaceForm() [2/2]

ON_DEPRECATED ON_RevSurface* ON_Sphere::RevSurfaceForm | ( | ON_RevSurface * | srf = `NULL` | ) | const

## Rotate() [1/4]

bool ON_Sphere::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

## Rotate() [2/4]

bool ON_Sphere::Rotate | ( | double | angle_radians,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

## Rotate() [3/4]

bool ON_Sphere::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

## Rotate() [4/4]

bool ON_Sphere::Rotate | ( | double | angle_radians,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

## SouthPole()

ON_3dPoint ON_Sphere::SouthPole | ( |  | ) | const

## Transform()

bool ON_Sphere::Transform | ( | const ON_Xform & |  | ) |

## Translate()

bool ON_Sphere::Translate | ( | const ON_3dVector & |  | ) |

## Member Data Documentation

## plane

ON_Plane ON_Sphere::plane

Definition at line 26 of file opennurbs_sphere.h.

## radius

double ON_Sphere::radius

Definition at line 27 of file opennurbs_sphere.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_sphere.h